View Issue Details

IDProjectCategoryView StatusLast Update
0002084mantisbtsqlpublic2016-07-11 15:19
ReporterjctAssigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
Status acknowledgedResolutionopen 
Summary0002084: A database question
Description

In the mantis_bug_table, is the "id" field always the same as the "bug_text_id" field ?

If it is, a small optimization could be done in bug_delete.php :
$c_bug_text_id = (integer)$f_bug_text_id; which is used once could no more be used and replaced bu the $c_id var.

Please correct me if I'm wrong !

TagsNo tags attached.

Relationships

related to 0015721 closedgrangeway Functionality to consider porting to master-2.0.x 
child of 0004181 closed Features in Mantis 1.1 release 

Activities

jfitzell

jfitzell

2002-08-21 17:49

reporter   ~0003145

Last edited: 2002-08-21 17:54

yeah, this seems like a one-to-one relationship to me...

I assume it was put in a separate table so that SELECT * on the bug_table would be faster. Not sure how often we need enough information to make listing the fields individually a pain, but don't need the text fields.

I don't know the history on this one so I don't know if it's still an issue or if we could move it into the same table. Anyone else know? Ken?

Not sure the optimization suggested in the bug will make much difference in speed and without a formal FOREIGN KEY specification, it seems a little "wrong"

edited on: 08-21 17:54

jlatour

jlatour

2004-08-08 10:17

reporter   ~0006817

It is not always the same, but should be a one-to-one relationship. We could look into changing the database structure to reflect this.

grangeway

grangeway

2013-04-05 17:57

reporter   ~0036383

Marking as 'acknowledged' not resolved/closed to track that change gets ported to master-2.0.x branch

grangeway

grangeway

2014-09-22 15:36

reporter   ~0041275

Pull Request to fix this issue is in github

Issue History

Date Modified Username Field Change
2004-08-08 10:17 jlatour Note Added: 0006817
2004-08-08 10:17 jlatour Status new => acknowledged
2004-08-08 10:18 jlatour Relationship added child of 0004181
2012-02-13 13:31 grangeway Status acknowledged => resolved
2012-02-13 13:31 grangeway Fixed in Version => 1.3.0-beta.1
2012-02-13 13:31 grangeway Resolution open => fixed
2012-02-13 13:31 grangeway Assigned To => grangeway
2013-04-05 17:57 grangeway Status resolved => acknowledged
2013-04-05 17:57 grangeway Note Added: 0036383
2013-04-05 18:15 grangeway Relationship added related to 0015721
2013-04-06 09:26 dregad Tag Attached: 2.0.x check
2013-04-06 09:26 dregad Status acknowledged => resolved
2013-04-27 17:26 atrol Assigned To grangeway =>
2013-04-27 17:26 atrol Status resolved => acknowledged
2013-04-27 17:26 atrol Resolution fixed => open
2013-04-27 17:26 atrol Fixed in Version 1.3.0-beta.1 =>
2014-09-22 15:35 grangeway Target Version => 1.3.0-beta.1
2014-09-22 15:36 grangeway Note Added: 0041275
2014-09-23 18:04 grangeway Tag Detached: 2.0.x check
2014-12-08 02:10 atrol Target Version 1.3.0-beta.1 => 1.3.0-beta.2
2015-03-15 20:00 dregad Target Version 1.3.0-beta.2 => 1.3.0-beta.3
2015-09-06 17:47 vboctoradmin Target Version 1.3.0-beta.3 => 1.3.0-rc.1
2015-12-06 02:55 vboctor Target Version 1.3.0-rc.1 => 1.3.0-rc.2
2016-06-12 02:37 atrol Target Version 1.3.0-rc.2 => 1.3.0
2016-07-10 07:57 atroladmin Target Version 1.3.0 => 1.3.1
2016-07-11 15:19 atrol Target Version 1.3.1 =>